| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jidctflt.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdct.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | DEQUANTIZE(coef, quantval) (((FAST_FLOAT) (coef)) * (quantval))

## Functions
| jpeg_idct_float (j_decompress_ptr cinfo, jpeg_component_info *compptr, JCOEFPTR coef_block, JSAMPARRAY output_buf, JDIMENSION output_col)

## Macro Definition Documentation

#define DEQUANTIZE | ( |  | coef,
|  |  | quantval
| ) |  | (((FAST_FLOAT) (coef)) * (quantval))

Definition at line 60 of file jidctflt.c.

#define JPEG_INTERNALS

Definition at line 39 of file jidctflt.c.

## Function Documentation

jpeg_idct_float | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JCOEFPTR | coef_block,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION | output_col
| ) |  |

Definition at line 68 of file jidctflt.c.